﻿Imports Infragistics.Controls.Editors

Class MainWindow

    Dim oQuizard As New ELQuizard
    Dim cln As New List(Of ELTester)

    Private Sub Window_Loaded(sender As System.Object, e As System.Windows.RoutedEventArgs) Handles MyBase.Loaded


        cln.Add(New ELTester() With {.Id = Guid.Parse("F58D56AB-DF79-45E1-8574-95C5A7376FC1"), .Name = "Jon", .FormalName = "Jonathan"})
        cln.Add(New ELTester() With {.Id = Guid.Parse("FE72300E-B8D2-4437-A42E-BA5FCC820DD2"), .Name = "Steve", .FormalName = "Stephen"})
        cln.Add(New ELTester() With {.Id = Guid.Parse("C506CD74-27D6-43D0-9BE9-70959F660151"), .Name = "Dick", .FormalName = "Richard"})

        '---------------
        'wpf combobox
        ComboBox1.ItemsSource = cln
        ComboBox1.DisplayMemberPath = "Name"

        'ComboBox1.SelectedValuePath = "Id"
        'Dim oBinding As New Binding("Id")

        'ComboBox1.SelectedValuePath = "Name"
        'Dim oBinding As New Binding("QuizName")

        ComboBox1.SelectedValuePath = "FormalName"
        Dim oComboBox1Binding As New Binding("FormalName")

        ComboBox1.SetBinding(ComboBox.SelectedValueProperty, oComboBox1Binding)

        '---------------

        'infragistics comboeditor
        XamComboEditor1.ItemsSource = cln
        XamComboEditor1.DisplayMemberPath = "Name"

        XamComboEditor1.ValuePath = "FormalName"
        Dim oXamComboEditor1Binding As New Binding() With {.Mode = BindingMode.OneWay}

        'oXamComboEditor1Binding.Source = oQuizard
        XamComboEditor1.SetBinding(Infragistics.Windows.Editors.XamComboEditor.SelectedItemProperty, oXamComboEditor1Binding)
        '---------------

        'infragistics multicol comboeditor
        XamMultiColumnComboEditor1.AutoGenerateColumns = True
        XamMultiColumnComboEditor1.ItemsSource = cln
        XamMultiColumnComboEditor1.SetBinding(XamMultiColumnComboEditor.SelectedItemProperty, oXamComboEditor1Binding)


    End Sub

    'When the user clicks this button I want all three comboboxes to show their new values
    Private Sub Button1_Click(sender As System.Object, e As System.Windows.RoutedEventArgs) Handles Button1.Click

        With oQuizard
            .Id = Guid.Parse("F58D56AB-DF79-45E1-8574-95C5A7376FC1")
            .QuizName = "Dick"
            .QuizFormalName = "Stephen"
        End With

        Me.DataContext = cln(0)

    End Sub
End Class
